Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.interfaces
Interface RSAMultiPrimePrivateCrtKey

All Superinterfaces:
  Key, PrivateKey, RSAKey, RSAPrivateKey, Serializable

public interface RSAMultiPrimePrivateCrtKey
extends RSAPrivateKey

The interface to an RSA multi-prime private key, as defined in the PKCS#1 v2.1, using the Chinese Remainder Theorem (CRT) information values.

Since:
  1.4
See Also:
  `RSAPrivateKeySpec`, `RSAMultiPrimePrivateCrtKeySpec`, `RSAPrivateKey`, `RSAPrivateCrtKey`

Field Summary

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Method Summary
`BigInteger` | `getCrtCoefficient()` Returns the crtCoefficient.
`RSAOtherPrimeInfo[]` | `getOtherPrimeInfo()` Returns the otherPrimeInfo or null if there are only two prime factors (p and q).
`BigInteger` | `getPrimeExponentP()` Returns the primeExponentP.
`BigInteger` | `getPrimeExponentQ()` Returns the primeExponentQ.
`BigInteger` | `getPrimeP()` Returns the primeP.
`BigInteger` | `getPrimeQ()` Returns the primeQ.
`BigInteger` | `getPublicExponent()` Returns the public exponent.

Methods inherited from interface java.security.interfaces.RSAPrivateKey
`getPrivateExponent`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Methods inherited from interface java.security.interfaces.RSAKey
`getModulus`

Method Detail

### getPublicExponent

    public BigInteger getPublicExponent()

  Returns the public exponent.

  Returns:
    the public exponent.

### getPrimeP

    public BigInteger getPrimeP()

  Returns the primeP.

  Returns:
    the primeP.

### getPrimeQ

    public BigInteger getPrimeQ()

  Returns the primeQ.

  Returns:
    the primeQ.

### getPrimeExponentP

    public BigInteger getPrimeExponentP()

  Returns the primeExponentP.

  Returns:
    the primeExponentP.

### getPrimeExponentQ

    public BigInteger getPrimeExponentQ()

  Returns the primeExponentQ.

  Returns:
    the primeExponentQ.

### getCrtCoefficient

    public BigInteger getCrtCoefficient()

  Returns the crtCoefficient.

  Returns:
    the crtCoefficient.

### getOtherPrimeInfo

    public RSAOtherPrimeInfo[] getOtherPrimeInfo()

  Returns the otherPrimeInfo or null if there are only two prime factors (p and q).

  Returns:
    the otherPrimeInfo.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.